summaryrefslogtreecommitdiff
path: root/tests/misc
diff options
context:
space:
mode:
authorJim Meyering <meyering@redhat.com>2012-01-07 17:47:58 +0100
committerJim Meyering <meyering@redhat.com>2012-01-09 21:50:08 +0100
commitdd0e4c5621ca2fa9255aef4eee0e7cf41cd335d2 (patch)
tree5194ff517669cfb08a3ba329658b45870ab063bd /tests/misc
parent50610144b02763f5dd5f6198ceceb88c27c393aa (diff)
downloadcoreutils-dd0e4c5621ca2fa9255aef4eee0e7cf41cd335d2.tar.xz
tests: change `...' to '...' on lines not matching /[=\$]/
Exempt lines with '$' or '=', since those are prone to improper conversion. Run this: git grep -l "\`[^']*'" tests \ |xargs perl -pi -e '/[=\$]/ and next;s/\`([^'\''"]*?'\'')/'\''$1/g'
Diffstat (limited to 'tests/misc')
-rwxr-xr-xtests/misc/basename2
-rwxr-xr-xtests/misc/chcon2
-rwxr-xr-xtests/misc/csplit14
-rwxr-xr-xtests/misc/cut4
-rwxr-xr-xtests/misc/date8
-rwxr-xr-xtests/misc/date-sec4
-rwxr-xr-xtests/misc/dirname2
-rwxr-xr-xtests/misc/expr6
-rwxr-xr-xtests/misc/factor2
-rwxr-xr-xtests/misc/help-version10
-rwxr-xr-xtests/misc/ls-misc2
-rwxr-xr-xtests/misc/ls-time4
-rwxr-xr-xtests/misc/md5sum2
-rwxr-xr-xtests/misc/md5sum-bsd2
-rwxr-xr-xtests/misc/nice2
-rwxr-xr-xtests/misc/nohup12
-rwxr-xr-xtests/misc/od-N2
-rwxr-xr-xtests/misc/printf6
-rwxr-xr-xtests/misc/sha1sum2
-rwxr-xr-xtests/misc/sha1sum-vec2
-rwxr-xr-xtests/misc/sha224sum2
-rwxr-xr-xtests/misc/sha256sum2
-rwxr-xr-xtests/misc/sha384sum2
-rwxr-xr-xtests/misc/sha512sum2
-rwxr-xr-xtests/misc/sort26
-rwxr-xr-xtests/misc/sort-compress2
-rwxr-xr-xtests/misc/sort-debug-warn30
-rwxr-xr-xtests/misc/sort-files0-from6
-rwxr-xr-xtests/misc/stdbuf2
-rwxr-xr-xtests/misc/stty6
-rwxr-xr-xtests/misc/stty-row-col2
-rwxr-xr-xtests/misc/sum-sysv2
-rwxr-xr-xtests/misc/tail6
-rwxr-xr-xtests/misc/test2
-rwxr-xr-xtests/misc/timeout2
-rwxr-xr-xtests/misc/wc-files0-from2
36 files changed, 93 insertions, 93 deletions
diff --git a/tests/misc/basename b/tests/misc/basename
index 6bd5e4019..349aac8f5 100755
--- a/tests/misc/basename
+++ b/tests/misc/basename
@@ -59,7 +59,7 @@ my @Tests =
['10', qw(fs/ s/), {OUT => 'fs'}],
);
-# Append a newline to end of each expected `OUT' string.
+# Append a newline to end of each expected 'OUT' string.
my $t;
foreach $t (@Tests)
{
diff --git a/tests/misc/chcon b/tests/misc/chcon
index ef4087f09..caa483143 100755
--- a/tests/misc/chcon
+++ b/tests/misc/chcon
@@ -71,7 +71,7 @@ EOF
compare exp out || fail=1
chcon --verbose -u$u1 f > out || fail=1
-echo 'changing security context of `f'\' > exp
+echo 'changing security context of 'f'\' > exp
compare exp out || fail=1
Exit $fail
diff --git a/tests/misc/csplit b/tests/misc/csplit
index ef0da141e..aea2e918f 100755
--- a/tests/misc/csplit
+++ b/tests/misc/csplit
@@ -48,7 +48,7 @@ EOF
compare exp out || fail=1
rm -f in out exp
-# `echo |csplit - 1 1' used to abort.
+# 'echo |csplit - 1 1' used to abort.
echo > in
csplit in 1 1 > out 2> err || fail=1
cat <<EOF > exp
@@ -58,12 +58,12 @@ cat <<EOF > exp
EOF
compare exp out || fail=1
cat <<\EOF > experr
-csplit: warning: line number `1' is the same as preceding line number
+csplit: warning: line number '1' is the same as preceding line number
EOF
compare experr err || fail=1
rm -f in out exp err experr
-# `echo | csplit -b '%0#6.3x' - 1' incorrectly warned about the format
+# 'echo | csplit -b '%0#6.3x' - 1' incorrectly warned about the format
# up through coreutils 8.6.
echo > in
csplit -b '%0#6.3x' in 1 > out 2> err || fail=1
@@ -78,16 +78,16 @@ compare 'xx 000' experr || fail=1
compare 'xx 0x001' in || fail=1
rm -f in out exp err experr xx*
-# make sure `csplit FILE 0' fails.
+# make sure 'csplit FILE 0' fails.
echo > in
csplit in 0 > out 2> err && fail=1
csplit in 2 1 > out 2>> err && fail=1
csplit in 3 3 > out 2>> err && fail=1
cat <<\EOF > experr
csplit: 0: line number must be greater than zero
-csplit: line number `1' is smaller than preceding line number, 2
-csplit: warning: line number `3' is the same as preceding line number
-csplit: `3': line number out of range
+csplit: line number '1' is smaller than preceding line number, 2
+csplit: warning: line number '3' is the same as preceding line number
+csplit: '3': line number out of range
EOF
compare experr err || fail=1
diff --git a/tests/misc/cut b/tests/misc/cut
index 8c3676ef0..0ce051ab0 100755
--- a/tests/misc/cut
+++ b/tests/misc/cut
@@ -123,13 +123,13 @@ my @Tests =
# A totally overlapped field shouldn't change anything:
['out-delim2', '-c1-3,2,5-', '--output-d=:', {IN=>"abcdefg\n"},
{OUT=>"abc:efg\n"}],
- # Partial overlap: index `2' is not at the start of a range.
+ # Partial overlap: index '2' is not at the start of a range.
['out-delim3', '-c1-3,2-4,6', '--output-d=:', {IN=>"abcdefg\n"},
{OUT=>"abcd:f\n"}],
['out-delim3a', '-c1-3,2-4,6-', '--output-d=:', {IN=>"abcdefg\n"},
{OUT=>"abcd:fg\n"}],
# Ensure that the following two commands produce the same output.
- # Before an off-by-1 fix, the output from the former would not contain a `:'.
+ # Before an off-by-1 fix, the output from the former would not contain a ':'.
['out-delim4', '-c4-,2-3', '--output-d=:',
{IN=>"abcdefg\n"}, {OUT=>"bc:defg\n"}],
['out-delim5', '-c2-3,4-', '--output-d=:',
diff --git a/tests/misc/date b/tests/misc/date
index 61137125e..8a23ca9c6 100755
--- a/tests/misc/date
+++ b/tests/misc/date
@@ -227,9 +227,9 @@ my @Tests =
['tz-5', '+%:z', {OUT=>"-00:01"}, {ENV=>'TZ=XXX0:01'}],
- # Accept %:z with a field width before the `:'.
+ # Accept %:z with a field width before the ':'.
['tz-5w','+%8:z', {OUT=>"-0000:01"}, {ENV=>'TZ=XXX0:01'}],
- # Don't recognize %:z with a field width between the `:' and the `z'.
+ # Don't recognize %:z with a field width between the ':' and the 'z'.
['tz-5wf', '+%:8z', {OUT=>"%:8z"}, {ENV=>'TZ=XXX0:01'}],
['ns-relative',
@@ -242,7 +242,7 @@ my @Tests =
# Since coreutils/lib/getdate.y revision 1.96 (post-coreutils-5.3.0),
# a command like the following would mistakenly exit nonzero with an
- # `invalid date ...' diagnostic, but when run in a time zone for
+ # 'invalid date ...' diagnostic, but when run in a time zone for
# which daylight savings time is in effect for the starting date.
# Unfortunately (for ease of testing), if you set TZ at all, this
# failure is not triggered, hence the removal of TZ from the environment.
@@ -266,7 +266,7 @@ my @Tests =
# you get on a system with 32-bit time_t is not the same as
# the one you get for a system where it's 64 bits wide:
# - date: time 72057594037927935 is out of range
- # + date: invalid date `@72057594037927935'
+ # + date: invalid date '@72057594037927935'
{ERR_SUBST => 's/.*//'},
{ERR => "\n"},
{EXIT => 1},
diff --git a/tests/misc/date-sec b/tests/misc/date-sec
index 04d8bc4fb..b36b6759f 100755
--- a/tests/misc/date-sec
+++ b/tests/misc/date-sec
@@ -25,11 +25,11 @@ print_ver_ date
# It would be easier simply to sleep for two seconds between two runs
# of `date --date="21:04 +0100" +%S` and ensure that both outputs
-# are `00', but I prefer not to sleep unconditionally. `make check'
+# are '00', but I prefer not to sleep unconditionally. 'make check'
# takes long enough as it is.
n=0
-# See if the current number of seconds is `00' or just before.
+# See if the current number of seconds is '00' or just before.
s=`date +%S`
case "$s" in
58) n=3;;
diff --git a/tests/misc/dirname b/tests/misc/dirname
index 5934b25c7..67a374ede 100755
--- a/tests/misc/dirname
+++ b/tests/misc/dirname
@@ -53,7 +53,7 @@ my @Tests =
['m', qw(''), {OUT => '.'}],
);
-# Append a newline to end of each expected `OUT' string.
+# Append a newline to end of each expected 'OUT' string.
my $t;
foreach $t (@Tests)
{
diff --git a/tests/misc/expr b/tests/misc/expr
index be757e2c6..556822848 100755
--- a/tests/misc/expr
+++ b/tests/misc/expr
@@ -54,7 +54,7 @@ my @Tests =
['paren4', '9 / \( \( 100 % 6 \) - 8 \)', {OUT => '-2'}],
['paren5', '9 + \( 100 % 6 \)', {OUT => '13'}],
- # Before 2.0.12, this would output `1'.
+ # Before 2.0.12, this would output '1'.
['0bang', '00 \< 0!', {OUT => '0'}, {EXIT => 1}],
# In 5.1.3 and earlier, these would exit with status 0.
@@ -69,7 +69,7 @@ my @Tests =
['orempty', '"" \| ""', {OUT => '0'}, {EXIT => 1}],
- # This erroneously succeeded and output `3' before 2.0.12.
+ # This erroneously succeeded and output '3' before 2.0.12.
['fail-a', '3 + -', {ERR => "$prog: non-integer argument\n"},
{EXIT => 2}],
@@ -174,7 +174,7 @@ my @Tests =
`expr $big_prod '*' $big_prod '*' $big_prod`
or @Tests = grep {$_->[0] !~ /^bignum-/} @Tests;
-# Append a newline to end of each expected `OUT' string.
+# Append a newline to end of each expected 'OUT' string.
my $t;
foreach $t (@Tests)
{
diff --git a/tests/misc/factor b/tests/misc/factor
index 71f850ae4..d5565d66c 100755
--- a/tests/misc/factor
+++ b/tests/misc/factor
@@ -68,7 +68,7 @@ my @Tests =
);
# Prepend the command line argument and append a newline to end
-# of each expected `OUT' string.
+# of each expected 'OUT' string.
my $t;
Test:
diff --git a/tests/misc/help-version b/tests/misc/help-version
index b93eb3796..c89d11856 100755
--- a/tests/misc/help-version
+++ b/tests/misc/help-version
@@ -74,7 +74,7 @@ test "x$v" = "x$VERSION" \
for lang in C fr da; do
for i in $built_programs; do
- # Skip `test'; it doesn't accept --help or --version.
+ # Skip 'test'; it doesn't accept --help or --version.
test $i = test && continue;
# false fails even when invoked with --help or --version.
@@ -84,7 +84,7 @@ for lang in C fr da; do
continue
fi
- # The just-built install executable is always named `ginstall'.
+ # The just-built install executable is always named 'ginstall'.
test $i = install && i=ginstall
# Make sure they exit successfully, under normal conditions.
@@ -95,7 +95,7 @@ for lang in C fr da; do
grep "$PACKAGE_BUGREPORT" h-$i > /dev/null || fail=1
rm -f h-$i
- # Make sure they fail upon `disk full' error.
+ # Make sure they fail upon 'disk full' error.
if test -w /dev/full && test -c /dev/full; then
env $i --help >/dev/full 2>/dev/null && fail=1
env $i --version >/dev/full 2>/dev/null && fail=1
@@ -139,7 +139,7 @@ chown_setup () { args=--version; }
mkfifo_setup () { args=--version; }
mknod_setup () { args=--version; }
# Punt on uptime, since it fails (e.g., failing to get boot time)
-# on some systems, and we shouldn't let that stop `make check'.
+# on some systems, and we shouldn't let that stop 'make check'.
uptime_setup () { args=--version; }
# Create a file in the current directory, not in $TMPDIR.
@@ -198,7 +198,7 @@ basename_setup () { args=$tmp_in; }
dirname_setup () { args=$tmp_in; }
expr_setup () { args=foo; }
-# Punt, in case GNU `id' hasn't been installed yet.
+# Punt, in case GNU 'id' hasn't been installed yet.
groups_setup () { args=--version; }
pathchk_setup () { args=$tmp_in; }
diff --git a/tests/misc/ls-misc b/tests/misc/ls-misc
index 32e21c757..1f536005c 100755
--- a/tests/misc/ls-misc
+++ b/tests/misc/ls-misc
@@ -145,7 +145,7 @@ my @Tests =
['emptydir-x2', 'd d', {OUT => "d:\n\nd:\n"}, $mkdir, $rmdir],
['emptydir-R', '-R d', {OUT => "d:\n"}, $mkdir, $rmdir],
- # test `ls -R .' ............................................
+ # test 'ls -R .' ............................................
['R-dot', '--ignore="[a-ce-zA-Z]*" -R .', {OUT => ".:\nd\n\n\./d:\n"},
$mkdir, $rmdir],
diff --git a/tests/misc/ls-time b/tests/misc/ls-time
index 6a227c4d9..a60b85524 100755
--- a/tests/misc/ls-time
+++ b/tests/misc/ls-time
@@ -112,8 +112,8 @@ and for tmpfs file systems on Solaris 5.5.1.
It is also expected to fail on a btrfs file system until
http://bugzilla.redhat.com/591068 is addressed.
-In the output below, `c' should have had a ctime more recent than
-that of `a', but does not.
+In the output below, 'c' should have had a ctime more recent than
+that of 'a', but does not.
EOF
#'
ls -ctl --full-time a c
diff --git a/tests/misc/md5sum b/tests/misc/md5sum
index b01e4c5ad..7c7356535 100755
--- a/tests/misc/md5sum
+++ b/tests/misc/md5sum
@@ -129,7 +129,7 @@ my @Tests =
{ERR=> "$prog: h: no properly formatted MD5 checksum lines found\n"}],
);
-# Insert the `--text' argument for each test.
+# Insert the '--text' argument for each test.
my $t;
foreach $t (@Tests)
{
diff --git a/tests/misc/md5sum-bsd b/tests/misc/md5sum-bsd
index d16fe0bcd..8226d7ab7 100755
--- a/tests/misc/md5sum-bsd
+++ b/tests/misc/md5sum-bsd
@@ -1,5 +1,5 @@
#!/bin/sh
-# make sure `md5sum -c' works for alternate BSD format (md5 -r)
+# make sure 'md5sum -c' works for alternate BSD format (md5 -r)
# Copyright (C) 2011-2012 Free Software Foundation, Inc.
diff --git a/tests/misc/nice b/tests/misc/nice
index e8753263e..bb7cb5809 100755
--- a/tests/misc/nice
+++ b/tests/misc/nice
@@ -44,7 +44,7 @@ NA LAST NA
'
set $tests
-# Require that this test be run at `nice' level 0.
+# Require that this test be run at 'nice' level 0.
niceness=`nice`
if test "$niceness" = 0; then
: ok
diff --git a/tests/misc/nohup b/tests/misc/nohup
index 99af1e66f..e20a22c70 100755
--- a/tests/misc/nohup
+++ b/tests/misc/nohup
@@ -27,9 +27,9 @@ nohup sh -c 'echo stdout; echo stderr 1>&2' 2>err || fail=1
if test -t 1; then
test "`cat nohup.out`" = stdout || fail=1
if test -t 0; then
- echo 'nohup: ignoring input and appending output to `nohup.out'\'
+ echo 'nohup: ignoring input and appending output to 'nohup.out'\'
else
- echo 'nohup: appending output to `nohup.out'\'
+ echo 'nohup: appending output to 'nohup.out'\'
fi >exp || fail=1
else
# Here it should not even exist.
@@ -85,8 +85,8 @@ if test -t 1; then
fi
cat <<\EOF > exp || fail=1
-nohup: appending output to `nohup.out'
-nohup: cannot run command `no-such-command': No such file or directory
+nohup: appending output to 'nohup.out'
+nohup: cannot run command 'no-such-command': No such file or directory
EOF
# Disable these comparisons. Too much variation in 2nd line.
# compare exp err || fail=1
@@ -105,8 +105,8 @@ if test -t 1; then
fi
cat <<\EOF > exp || fail=1
-nohup: appending output to `nohup.out'
-nohup: cannot run command `./k': Permission denied
+nohup: appending output to 'nohup.out'
+nohup: cannot run command './k': Permission denied
EOF
# Disable these comparisons. Too much variation in 2nd line.
# compare exp err || fail=1
diff --git a/tests/misc/od-N b/tests/misc/od-N
index d2169bfd9..4f6c08d3a 100755
--- a/tests/misc/od-N
+++ b/tests/misc/od-N
@@ -1,5 +1,5 @@
#!/bin/sh
-# Verify that `od -N N' reads no more than N bytes of input.
+# Verify that 'od -N N' reads no more than N bytes of input.
# Copyright (C) 2001, 2004-2012 Free Software Foundation, Inc.
diff --git a/tests/misc/printf b/tests/misc/printf
index 1a927265c..30e592d48 100755
--- a/tests/misc/printf
+++ b/tests/misc/printf
@@ -27,7 +27,7 @@ getlimits_
# Verify the 3 methods of specifying "Escape":
test $($prog "\x1b\n\33\n\e\n" | uniq -u) && fail=1
-# This would fail (by printing the `--') for printf in sh-utils
+# This would fail (by printing the '--') for printf in sh-utils
# and in coreutils 4.5.1.
$prog -- 'foo\n' > out || fail=1
cat <<\EOF > exp
@@ -53,13 +53,13 @@ POSIXLY_CORRECT=1 \
$prog '4 \x40\n' >> out || fail=1
$prog '5 % +d\n' 234 >> out || fail=1
-# This should print "6 !\n", but don't rely on `!' being the
+# This should print "6 !\n", but don't rely on '!' being the
# one-byte representation of octal 041. With printf prior to
# coreutils-5.0.1, it would print six bytes: "6 \41\n".
$prog '6 \41\n' | tr '\41' '!' >> out
# Note that as of coreutils-5.0.1, printf with a format of '\0002x'
-# prints a NUL byte followed by the digit `2' and an `x'.
+# prints a NUL byte followed by the digit '2' and an 'x'.
# By contrast bash's printf outputs the same thing as $(printf '\2x') does.
$prog '7 \2y \02y \002y \0002y\n' |tr '\0\2' '*=' >> out
diff --git a/tests/misc/sha1sum b/tests/misc/sha1sum
index 811366b67..75d1e4bbb 100755
--- a/tests/misc/sha1sum
+++ b/tests/misc/sha1sum
@@ -76,7 +76,7 @@ my @Tests =
{ERR=> "$prog: z: no properly formatted SHA1 checksum lines found\n"}],
);
-# Insert the `--text' argument for each test.
+# Insert the '--text' argument for each test.
my $t;
foreach $t (@Tests)
{
diff --git a/tests/misc/sha1sum-vec b/tests/misc/sha1sum-vec
index 172a0eabc..4c7c06afd 100755
--- a/tests/misc/sha1sum-vec
+++ b/tests/misc/sha1sum-vec
@@ -522,7 +522,7 @@ foreach $t (@Tests)
my $h = $t->[2];
$h->{OUT} = lc $h->{OUT} . " f\n";
- # Insert the `--text' argument for each test.
+ # Insert the '--text' argument for each test.
splice @$t, 1, 0, '--text';
}
diff --git a/tests/misc/sha224sum b/tests/misc/sha224sum
index 9179ace8d..5efc961ed 100755
--- a/tests/misc/sha224sum
+++ b/tests/misc/sha224sum
@@ -34,7 +34,7 @@ my @Tests =
{OUT=>"20794655980c91d8bbb4c1ea97618a4bf03f42581948b2ee4ee7ad67 f\n"}],
);
-# Insert the `--text' argument for each test.
+# Insert the '--text' argument for each test.
my $t;
foreach $t (@Tests)
{
diff --git a/tests/misc/sha256sum b/tests/misc/sha256sum
index 44fbc1d6f..d8ac08208 100755
--- a/tests/misc/sha256sum
+++ b/tests/misc/sha256sum
@@ -40,7 +40,7 @@ my @Tests =
{OUT=>"cdc76e5c9914fb9281a1c7e284d73e67f1809a48a497200e046d39ccc7112cd0 f\n"}],
);
-# Insert the `--text' argument for each test.
+# Insert the '--text' argument for each test.
my $t;
foreach $t (@Tests)
{
diff --git a/tests/misc/sha384sum b/tests/misc/sha384sum
index 8fc06ab61..8d688e77e 100755
--- a/tests/misc/sha384sum
+++ b/tests/misc/sha384sum
@@ -40,7 +40,7 @@ my @Tests =
{OUT=>"9d0e1809716474cb086e834e310a4a1ced149e9c00f248527972cec5704c2a5b07b8b3dc38ecc4ebae97ddd87f3d8985 f\n"}],
);
-# Insert the `--text' argument for each test.
+# Insert the '--text' argument for each test.
my $t;
foreach $t (@Tests)
{
diff --git a/tests/misc/sha512sum b/tests/misc/sha512sum
index bf525861a..0c976d56e 100755
--- a/tests/misc/sha512sum
+++ b/tests/misc/sha512sum
@@ -40,7 +40,7 @@ my @Tests =
{OUT=>"e718483d0ce769644e2e42c7bc15b4638e1f98b13b2044285632a803afa973ebde0ff244877ea60a4cb0432ce577c31beb009c5c2c49aa2e4eadb217ad8cc09b f\n"}],
);
-# Insert the `--text' argument for each test.
+# Insert the '--text' argument for each test.
my $t;
foreach $t (@Tests)
{
diff --git a/tests/misc/sort b/tests/misc/sort
index 64fb1023a..ea27faa25 100755
--- a/tests/misc/sort
+++ b/tests/misc/sort
@@ -156,10 +156,10 @@ my @Tests =
["07l", '-s +0 -1.2', {IN=>"a c\na b\n"}, {OUT=>"a b\na c\n"}],
["07m", '-s +0 -1.1b', {IN=>"a c\na b\n"}, {OUT=>"a b\na c\n"}],
#
-# report an error for `.' without following char spec
+# report an error for '.' without following char spec
["08a", '-k 2.,3', {EXIT=>2},
{ERR=>"$prog: invalid number after `.': invalid count at start of `,3'\n"}],
-# report an error for `,' without following POS2
+# report an error for ',' without following POS2
["08b", '-k 2,', {EXIT=>2},
{ERR=>"$prog: invalid number after `,': invalid count at start of `'\n"}],
#
@@ -172,12 +172,12 @@ my @Tests =
#
# Bug reported by Roger Peel <R.Peel@ee.surrey.ac.uk>
["10a", '-t : -k 2.2,2.2', {IN=>":ba\n:ab\n"}, {OUT=>":ba\n:ab\n"}],
-# Equivalent to above, but using obsolescent `+pos -pos' option syntax.
+# Equivalent to above, but using obsolescent '+pos -pos' option syntax.
["10b", '-t : +1.1 -1.2', {IN=>":ba\n:ab\n"}, {OUT=>":ba\n:ab\n"}],
#
# The same as the preceding two, but with input lines reversed.
["10c", '-t : -k 2.2,2.2', {IN=>":ab\n:ba\n"}, {OUT=>":ba\n:ab\n"}],
-# Equivalent to above, but using obsolescent `+pos -pos' option syntax.
+# Equivalent to above, but using obsolescent '+pos -pos' option syntax.
["10d", '-t : +1.1 -1.2', {IN=>":ab\n:ba\n"}, {OUT=>":ba\n:ab\n"}],
# Try without -t...
# But note that we have to count the delimiting space at the beginning
@@ -205,10 +205,10 @@ my @Tests =
# and the second key spec isn't even used.
["11d", '-t: -k2,2b -k3,3', {IN=>"z:a :b\na\t:a\n"}, {OUT=>"a\t:a\nz:a :b\n"}],
#
-# Exercise bug re comparing `-' and integers.
+# Exercise bug re comparing '-' and integers.
["12a", '-n -t: +1', {IN=>"a:1\nb:-\n"}, {OUT=>"b:-\na:1\n"}],
["12b", '-n -t: +1', {IN=>"b:-\na:1\n"}, {OUT=>"b:-\na:1\n"}],
-# Try some other (e.g. `X') invalid character.
+# Try some other (e.g. 'X') invalid character.
["12c", '-n -t: +1', {IN=>"a:1\nb:X\n"}, {OUT=>"b:X\na:1\n"}],
["12d", '-n -t: +1', {IN=>"b:X\na:1\n"}, {OUT=>"b:X\na:1\n"}],
# From Karl Heuer
@@ -236,22 +236,22 @@ my @Tests =
# of sort from textutils-1.19p and before.
["17", '-c', {IN=>"xxxxxxxxxxxxxxxxxxxxxxxxxxxxxx\n"}],
-# POSIX says -n no longer implies -b, so here we're comparing ` 9' and `10'.
+# POSIX says -n no longer implies -b, so here we're comparing ' 9' and '10'.
["18a", '-k1.1,1.2n', {IN=>" 901\n100\n"}, {OUT=>" 901\n100\n"}],
-# Just like above, because the global `-b' has no effect on the
-# key specifier when a key-specific option (`n' in this case) is used.
+# Just like above, because the global '-b' has no effect on the
+# key specifier when a key-specific option ('n' in this case) is used.
["18b", '-b -k1.1,1.2n', {IN=>" 901\n100\n"}, {OUT=>" 901\n100\n"}],
-# Here we're comparing ` 90' and `10', because the `b' on the key-end specifier
+# Here we're comparing ' 90' and '10', because the 'b' on the key-end specifier
# makes sort ignore leading blanks when determining that key's *end*.
["18c", '-k1.1,1.2nb', {IN=>" 901\n100\n"}, {OUT=>"100\n 901\n"}],
-# Here we're comparing `9' and `10', because the `b' on the key-start specifier
+# Here we're comparing '9' and '10', because the 'b' on the key-start specifier
# makes sort ignore leading blanks when determining that key's *start*.
["18d", '-k1.1b,1.2n', {IN=>" 901\n100\n"}, {OUT=>" 901\n100\n"}],
-# This compares `90' and `10', as it ignores leading blanks for both
+# This compares '90' and '10', as it ignores leading blanks for both
# key start and key end.
["18e", '-nb -k1.1,1.2', {IN=>" 901\n100\n"}, {OUT=>"100\n 901\n"}],
@@ -289,7 +289,7 @@ my @Tests =
# Demonstrate that folding changes the ordering of e.g. A, a, and _
# because while they normally (in the C locale) collate like A, _, a,
-# when using -f, `a' is compared as if it were `A'.
+# when using -f, 'a' is compared as if it were 'A'.
["21a", '', {IN=>"A\na\n_\n"}, {OUT=>"A\n_\na\n"}],
["21b", '-f', {IN=>"A\na\n_\n"}, {OUT=>"A\na\n_\n"}],
["21c", '-f', {IN=>"a\nA\n_\n"}, {OUT=>"A\na\n_\n"}],
diff --git a/tests/misc/sort-compress b/tests/misc/sort-compress
index 085b320f0..09d6720d8 100755
--- a/tests/misc/sort-compress
+++ b/tests/misc/sort-compress
@@ -35,7 +35,7 @@ EOF
chmod +x gzip
-# Ensure `sort` is immune to parent's SIGCHLD handler
+# Ensure 'sort` is immune to parent's SIGCHLD handler
# Use a subshell and an exec to work around a bug in FreeBSD 5.0 /bin/sh.
(
# ash doesn't support "trap '' CHLD"; it knows only signal numbers.
diff --git a/tests/misc/sort-debug-warn b/tests/misc/sort-debug-warn
index f7dea8c91..504a2d2bc 100755
--- a/tests/misc/sort-debug-warn
+++ b/tests/misc/sort-debug-warn
@@ -27,27 +27,27 @@ sort: key 1 has zero width and will be ignored
sort: using simple byte comparison
sort: key 1 is numeric and spans multiple fields
sort: using simple byte comparison
-sort: options `-bghMRrV' are ignored
+sort: options '-bghMRrV' are ignored
sort: using simple byte comparison
-sort: options `-bghMRV' are ignored
-sort: option `-r' only applies to last-resort comparison
+sort: options '-bghMRV' are ignored
+sort: option '-r' only applies to last-resort comparison
sort: using simple byte comparison
-sort: option `-r' only applies to last-resort comparison
+sort: option '-r' only applies to last-resort comparison
sort: using simple byte comparison
-sort: options `-bg' are ignored
+sort: options '-bg' are ignored
sort: using simple byte comparison
sort: using simple byte comparison
-sort: option `-b' is ignored
+sort: option '-b' is ignored
sort: using simple byte comparison
sort: using simple byte comparison
sort: using simple byte comparison
-sort: leading blanks are significant in key 1; consider also specifying `b'
+sort: leading blanks are significant in key 1; consider also specifying 'b'
sort: using simple byte comparison
-sort: leading blanks are significant in key 1; consider also specifying `b'
-sort: option `-d' is ignored
+sort: leading blanks are significant in key 1; consider also specifying 'b'
+sort: option '-d' is ignored
sort: using simple byte comparison
-sort: leading blanks are significant in key 1; consider also specifying `b'
-sort: option `-i' is ignored
+sort: leading blanks are significant in key 1; consider also specifying 'b'
+sort: option '-i' is ignored
sort: using simple byte comparison
sort: using simple byte comparison
sort: using simple byte comparison
@@ -76,11 +76,11 @@ compare exp out || fail=1
cat <<\EOF > exp
sort: using simple byte comparison
sort: key 1 is numeric and spans multiple fields
-sort: obsolescent key `+2 -1' used; consider `-k 3,1' instead
+sort: obsolescent key '+2 -1' used; consider '-k 3,1' instead
sort: key 2 has zero width and will be ignored
-sort: leading blanks are significant in key 2; consider also specifying `b'
-sort: option `-b' is ignored
-sort: option `-r' only applies to last-resort comparison
+sort: leading blanks are significant in key 2; consider also specifying 'b'
+sort: option '-b' is ignored
+sort: option '-r' only applies to last-resort comparison
EOF
sort --debug -rb -k2n +2.2 -1b /dev/null 2>out
diff --git a/tests/misc/sort-files0-from b/tests/misc/sort-files0-from
index 80ad423ce..1b362ac45 100755
--- a/tests/misc/sort-files0-from
+++ b/tests/misc/sort-files0-from
@@ -43,7 +43,7 @@ my @Tests =
# input file name of '-'
['minus-in-stdin', '--files0-from=-', '<', {IN=>{f=>'-'}}, {EXIT=>2},
{ERR => "$prog: when reading file names from stdin, no file name of"
- . " `-' allowed\n"}],
+ . " '-' allowed\n"}],
# empty input, regular file
['empty', '--files0-from=@AUX@', {AUX=>''}, {EXIT=>2},
@@ -58,7 +58,7 @@ my @Tests =
{ERR => "$prog: -:1: invalid zero-length file name\n"}],
# two NULs
- # Note that the behavior here differs from `wc' in that the
+ # Note that the behavior here differs from 'wc' in that the
# first zero-length file name is treated as fatal, so there
# is only one line of diagnostic output.
['nul-2', '--files0-from=-', '<', {IN=>"\0\0"}, {EXIT=>2},
@@ -81,7 +81,7 @@ my @Tests =
{IN=>{f=>"g\0g\0"}}, {AUX=>{g=>'a'}}, {OUT=>"a\na\n"} ],
# Ensure that $prog does nothing when there is a zero-length filename.
- # Note that the behavior here differs from `wc' in that the
+ # Note that the behavior here differs from 'wc' in that the
# first zero-length file name is treated as fatal, so there
# should be no output on STDOUT.
['zero-len', '--files0-from=-', '<',
diff --git a/tests/misc/stdbuf b/tests/misc/stdbuf
index 4420deda0..99bb24300 100755
--- a/tests/misc/stdbuf
+++ b/tests/misc/stdbuf
@@ -96,7 +96,7 @@ retry_delay_ stdbuf_unbuffer .1 6 || fail=1
# One could remove the need for dd (used to close the fifo to get uniq to quit
# early), if head -n1 read stdin char by char. Note uniq | head -c2 doesn't
# suffice due to the buffering implicit in the pipe. sed currently does read
-# stdin char by char, so we can test with `sed 1q`. However I'm wary about
+# stdin char by char, so we can test with 'sed 1q`. However I'm wary about
# adding this dependency on a program outside of coreutils.
# printf '2\n' > exp
# printf '1\n2\n' | (stdbuf -i0 sed 1q >/dev/null; cat) > out
diff --git a/tests/misc/stty b/tests/misc/stty
index 689fb8d37..c2999417c 100755
--- a/tests/misc/stty
+++ b/tests/misc/stty
@@ -56,9 +56,9 @@ stty -raw -a 2>/dev/null && fail=1
sed_del='/^speed/d;/^rows/d;/^columns/d;/ = /d'
options=`stty -a | tr -s ';' '\n' | sed "s/^ //;$sed_del;s/-//g"`
-# Take them one at a time, with and without the leading `-'.
+# Take them one at a time, with and without the leading '-'.
for opt in $options; do
- # `stty parenb' and `stty -parenb' fail with this message
+ # 'stty parenb' and 'stty -parenb' fail with this message
# stty: standard input: unable to perform all requested operations
# on Linux 2.2.0-pre4 kernels. Also since around Linux 2.6.30
# other serial control settings give the same error. So skip them.
@@ -68,7 +68,7 @@ for opt in $options; do
stty $opt || fail=1
- # Likewise, `stty -cread' would fail, so skip that, too.
+ # Likewise, 'stty -cread' would fail, so skip that, too.
test $opt = cread && continue
rev=`eval echo "\\\$REV_$opt"`
if test -n "$rev"; then
diff --git a/tests/misc/stty-row-col b/tests/misc/stty-row-col
index b0319b21a..9a498e85a 100755
--- a/tests/misc/stty-row-col
+++ b/tests/misc/stty-row-col
@@ -16,7 +16,7 @@
# You should have received a copy of the GNU General Public License
# along with this program. If not, see <http://www.gnu.org/licenses/>.
-# Setting this envvar to a very small value used to cause e.g., `stty size'
+# Setting this envvar to a very small value used to cause e.g., 'stty size'
# to generate slightly different output on certain systems.
COLUMNS=80
export COLUMNS
diff --git a/tests/misc/sum-sysv b/tests/misc/sum-sysv
index 4d5454cc3..6132ee1bc 100755
--- a/tests/misc/sum-sysv
+++ b/tests/misc/sum-sysv
@@ -1,5 +1,5 @@
#!/bin/sh
-# make sure `sum -s' works for input whose sum of bytes is larger than 2^32
+# make sure 'sum -s' works for input whose sum of bytes is larger than 2^32
# Copyright (C) 2001-2004, 2006-2012 Free Software Foundation, Inc.
diff --git a/tests/misc/tail b/tests/misc/tail
index 69392b3e0..910297664 100755
--- a/tests/misc/tail
+++ b/tests/misc/tail
@@ -39,7 +39,7 @@ my @tv = (
['obs-plus-l4', '+1l', "x\ny\n", "x\ny\n", 0],
['obs-plus-l5', '+2l', "x\ny\n", "y\n", 0],
-# Same as -l tests, but without the `l'.
+# Same as -l tests, but without the 'l'.
['obs-1', '-1', 'x', 'x', 0],
['obs-2', '-1', "x\ny\n", "y\n", 0],
['obs-3', '-1', "x\ny", "y", 0],
@@ -64,12 +64,12 @@ my @tv = (
['err-3', '+2cz', '', '', 1,
"$prog: cannot open `+2cz' for reading: No such file or directory\n"],
-# This should get `tail: invalid option -- 2'
+# This should get 'tail: invalid option -- 2'
['err-4', '-2cX', '', '', 1,
"$prog: option used in invalid context -- 2\n"],
# Since the number is larger than 2^64, this should provoke
-# the diagnostic: `tail: 99999999999999999999: invalid number of bytes'
+# the diagnostic: 'tail: 99999999999999999999: invalid number of bytes'
# on all systems... probably, for now, maybe.
['err-5', '-c99999999999999999999', '', '', 1,
"$prog: 99999999999999999999: invalid number of bytes\n"],
diff --git a/tests/misc/test b/tests/misc/test
index 356268b8e..aad07d057 100755
--- a/tests/misc/test
+++ b/tests/misc/test
@@ -68,7 +68,7 @@ sub add_inverse_op_tests($)
my ($flags, $ret, $LoH) = digest_test $t;
# Generate corresponding tests of inverse ops.
- # E.g. generate tests of `-ge' from those of `-lt'.
+ # E.g. generate tests of '-ge' from those of '-lt'.
foreach my $op (qw(gt lt eq))
{
if ($test_name =~ /$op-/ && $flags =~ / -$op /)
diff --git a/tests/misc/timeout b/tests/misc/timeout
index 997728060..cc1ad3d6e 100755
--- a/tests/misc/timeout
+++ b/tests/misc/timeout
@@ -42,7 +42,7 @@ test $? = 124 || fail=1
timeout -s0 -k1 1 sleep 10
test $? = 124 && fail=1
-# Ensure `timeout` is immune to parent's SIGCHLD handler
+# Ensure 'timeout` is immune to parent's SIGCHLD handler
# Use a subshell and an exec to work around a bug in FreeBSD 5.0 /bin/sh.
(
# ash doesn't support "trap '' CHLD"; it knows only signal numbers.
diff --git a/tests/misc/wc-files0-from b/tests/misc/wc-files0-from
index ac2211345..ac96c98d4 100755
--- a/tests/misc/wc-files0-from
+++ b/tests/misc/wc-files0-from
@@ -43,7 +43,7 @@ my @Tests =
# input file name of '-'
['minus-in-stdin', '--files0-from=-', '<', {IN=>{f=>'-'}}, {EXIT=>1},
{ERR => "$prog: when reading file names from stdin, no file name of"
- . " `-' allowed\n"}],
+ . " '-' allowed\n"}],
# empty input, regular file
['empty', '--files0-from=@AUX@', {AUX=>''}],